Bug 1027384 - invalid value for backup-group-name when it is undefined
invalid value for backup-group-name when it is undefined
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JMS (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: DR0
: EAP 6.3.0
Assigned To: Jeff Mesnil
Miroslav Novak
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 12:13 EST by Jeff Mesnil
Modified: 2014-06-28 11:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 11:40:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2446 Major Resolved invalid value for backup-group-name when it is undefined 2016-06-29 01:03 EDT

  None (edit)
Description Jeff Mesnil 2013-11-06 12:13:39 EST
Description of problem:

In the messaging configuration, the backup-group-node modelNode is passed directly to the HornetQ configuration without checking whether it is defined.
If it is not undefined, the hornetq configuration will use the "undefined" string as the backup group name instead of returning a null value

Expected results:

If the backup-group-name is undefined, nothing must be set on the HornetQ configuration
Comment 1 Jeff Mesnil 2014-01-20 09:23:49 EST
PR for jboss-eap https://github.com/jbossas/jboss-eap/pull/839
Comment 2 Miroslav Novak 2014-02-24 09:48:31 EST
Verified by review the code in EAP 6.3.0.DR0.

Note You need to log in before you can comment on or make changes to this bug.